org.eclnt.jsfserver.elements.componentnodes

## Class UI5_GRIDNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_GRIDNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_GRIDNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_GRIDNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_GRIDNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_GRIDNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindAnimationclass(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindAnimationtrigger(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindDefaultindent(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindDefaultspan(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindHspacing(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindPosition(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindVspacing(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5_GRIDNode` | `setActionListener(java.lang.String value)`
    `UI5_GRIDNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_GRIDNode` | `setAnimationclass(java.lang.String value)`
    `UI5_GRIDNode` | `setAnimationtrigger(java.lang.String value)`
    `UI5_GRIDNode` | `setAttributemacro(java.lang.String value)`
    `UI5_GRIDNode` | `setComment(java.lang.String value)`
    `UI5_GRIDNode` | `setConfiginfo(java.lang.String value)`
    `UI5_GRIDNode` | `setDefaultindent(java.lang.String value)`
    `UI5_GRIDNode` | `setDefaultspan(java.lang.String value)`
    `UI5_GRIDNode` | `setHspacing(java.lang.String value)`
    `UI5_GRIDNode` | `setId(java.lang.String value)`
    `UI5_GRIDNode` | `setLayoutdata(java.lang.String value)`
    `UI5_GRIDNode` | `setPosition(java.lang.String value)`
    `UI5_GRIDNode` | `setReference(java.lang.String value)`
    `UI5_GRIDNode` | `setRendered(boolean value)`
    `UI5_GRIDNode` | `setRendered(java.lang.String value)`
    `UI5_GRIDNode` | `setStyleseq(java.lang.String value)`
    `UI5_GRIDNode` | `setStylevariant(java.lang.String value)`
    `UI5_GRIDNode` | `setVspacing(java.lang.String value)`
    `UI5_GRIDNode` | `setWidth(int value)`
    `UI5_GRIDNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_GRIDNode

          public UI5_GRIDNode()

  - ### Method Detail

    - #### setId

          public UI5_GRIDNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_GRIDNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_GRIDNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5_GRIDNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_GRIDNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimationclass

          public UI5_GRIDNode setAnimationclass(java.lang.String value)

    - #### bindAnimationclass

          public UI5_GRIDNode bindAnimationclass(IDynamicContentBindingObject value)

    - #### setAnimationtrigger

          public UI5_GRIDNode setAnimationtrigger(java.lang.String value)

    - #### bindAnimationtrigger

          public UI5_GRIDNode bindAnimationtrigger(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_GRIDNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_GRIDNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_GRIDNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_GRIDNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_GRIDNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDefaultindent

          public UI5_GRIDNode setDefaultindent(java.lang.String value)

    - #### bindDefaultindent

          public UI5_GRIDNode bindDefaultindent(IDynamicContentBindingObject value)

    - #### setDefaultspan

          public UI5_GRIDNode setDefaultspan(java.lang.String value)

    - #### bindDefaultspan

          public UI5_GRIDNode bindDefaultspan(IDynamicContentBindingObject value)

    - #### setHspacing

          public UI5_GRIDNode setHspacing(java.lang.String value)

    - #### bindHspacing

          public UI5_GRIDNode bindHspacing(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_GRIDNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_GRIDNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setPosition

          public UI5_GRIDNode setPosition(java.lang.String value)

    - #### bindPosition

          public UI5_GRIDNode bindPosition(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_GRIDNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_GRIDNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_GRIDNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_GRIDNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_GRIDNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_GRIDNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_GRIDNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_GRIDNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setVspacing

          public UI5_GRIDNode setVspacing(java.lang.String value)

    - #### bindVspacing

          public UI5_GRIDNode bindVspacing(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_GRIDNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5_GRIDNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_GRIDNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.